# Method: deployments.devices.updateSigned

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.request_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.response_body)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/deployments.devices/updateSigned#body.aspect)

Updates a signed `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`.

### HTTP request

`PATCH https://sasportal.googleapis.com/v1alpha1/{name=deployments/*/devices/*}:updateSigned`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the device to update. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "encodedDevice": string, "installerId": string } ``` |

| Fields ||
|---|---|
| `encodedDevice` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The JSON Web Token signed using a CPI private key. Payload must be the JSON encoding of the `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`. The `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device.DeviceConfig.FIELDS.user_id` field must be set. A base64-encoded string. |
| `installerId` | `string` Required. Unique installer ID (CPI ID) from the Certified Professional Installers database. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/customers.deployments.devices#Device`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`